package DreipMain;
//-------------------------------------------------------------------------------
//
// DreibMain.java                                       Ulrich Mller    27.11.09
//                                                      Aspire Eclipse 3.4 Java 6
// Dreipunktregelung ber die Werte eines Photowiderstandes
// EncoderMotor an M1, Lampe an O7, Photowiderstand an I4
// Lsung auf Basis der Klasse FishFaceTX
//
// -------------------------------------------------------------------------------

import ftcomputing.roboTX.*;

public class DreipMain {
	FishFaceTX tx   = new FishFaceTX();
	Mot ReglerMotor = Mot.M1;
	Unv LichtSensor = Unv.I4;
	Out Lichtquelle = Out.O7;
	
	public static void main(String[] args) {
		DreipMain dp = new DreipMain();
		System.out.println("Dreipunkt gestartet");
		System.out.println("FishFace-Version : " + FishFaceTX.Version());
		
		try {
		  dp.Action();
		}
		catch(FishFaceException eft) {
		  System.out.println(eft);	
		}
		finally {
          System.out.println("--- FINITO ---");
		}
	}
	private void Action() {
		int SollWert  = 700;
		int LimitHigh = SollWert + 100;
		int LimitLow  = SollWert - 100;
		int ActualValue;
	    tx.openController("COM4");
	    tx.setLamp(Lichtquelle, 512);
	    tx.pause(1234);
	    System.out.println("Sollwert : " + SollWert);
	    System.out.println("Ende : ESC-Taste");
	    do {
	    	ActualValue = tx.getAnalog(LichtSensor);
	    	System.out.println("Istwert : " + ActualValue);
	    	if(ActualValue < LimitLow) tx.speedMotor(ReglerMotor, Dir.Right, 400);
	    	else if (ActualValue > LimitHigh) tx.speedMotor(ReglerMotor, Dir.Left, 400);
	    	else tx.setMotor(ReglerMotor, Dir.Off);
	    	tx.pause(111);
	    } while(!tx.finish());
	    tx.closeController();
	    System.out.println("Das war's");
	}

}
