package ftcomputing.roboTX;
// -----------------------------------------------------------------------------
//
// JavaFish.java                                      Ulrich Mller     26.11.09
//                                                    Aspire Eclipse 3.4, Java 6
// Basisklasse mit native Deklarationen fr javaFish50.DLL
//     javaFish50.DLL ist eine Wrapper.DLL, die umFish50.DLL javakonform 1:1 
//     kapselt, zustzlich enthalten sind einige Win32-API Funktionen
//     (escape, getTickCount, sleep)    Basis ist umFish50.DLL v5.0.3
//
// ------------------------------------------------------------------------------

public class JavaFish {
  public native int jxOpenController(int ComNr);
  public native int jxCloseController();
  public native int jxGetAnalog(int ctrId, int inpNr);
  public native int jxGetDistance(int ctrId, int inpNr);
  public native int jxGetInput(int ctrId, int inpNr);
  public native int jxGetTrack(int ctrId, int inpNr);
  public native int jxGetVoltage(int ctrId, int inpNr);

  public native int jxGetCounter(int ctrId, int cntNr);
  public native int jxClearCounter(int ctrId, int cntNr);

  public native int jxSetLamp(int ctrId, int outNr, int OnOff);
  public native int jxSetMotor(int ctrId, int motNr, int dir, int speed);
  public native int jxStartMotor(int ctrId, int motNr, int dir, int speed, int iCount, int robMode);

  public native int jxIsMotorReady(int ctrId, int motNr);
  
  public static native int escape();
  public static native int getTickCount();
  public static native void sleep(int mSek);

  static {
    try {
      System.loadLibrary("javaFish50");
    }
    catch (UnsatisfiedLinkError ex) {
      System.out.println("javaFish50.DLL konnte nicht geladen werden");
    }
  }
}